Bug 120097 - Make Database Explorer API stable
Make Database Explorer API stable
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Andrei Badea
issues@db
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 20:54 UTC by Andrei Badea
Modified: 2007-11-02 22:00 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed change (5.86 KB, text/plain)
2007-10-25 22:39 UTC, Andrei Badea
Details
Log of update of DB Explorer clients to depend on /1 (7.64 KB, text/plain)
2007-11-01 11:08 UTC, Andrei Badea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2007-10-25 20:54:29 UTC
The Database Explorer API had the "under development" stability level in 5.0 and 5.5. Since it is an official API, it
needs to be declared stable.
Comment 1 Andrei Badea 2007-10-25 22:39:37 UTC
Created attachment 51732 [details]
Proposed change
Comment 2 Andrei Badea 2007-10-25 22:42:12 UTC
Please review. Given that there have been no incompatible changes in the API since its introduction and that this change
should be non-controversial, I would like to shorten the review a bit and commit on Tuesday, Oct 30. Thanks.
Comment 3 Andrei Badea 2007-10-25 22:48:04 UTC
BTW I plan to update all clients of the module in the repository in a separate commit.
Comment 4 Andrei Badea 2007-10-30 00:17:10 UTC
Will commit tomorrow.
Comment 5 Andrei Badea 2007-11-01 11:04:19 UTC
Integrated.

Checking in db/apichanges.xml;
/cvs/db/apichanges.xml,v  <--  apichanges.xml
new revision: 1.10; previous revision: 1.9
done
Checking in db/manifest.mf;
/cvs/db/manifest.mf,v  <--  manifest.mf
new revision: 1.67; previous revision: 1.66
done
RCS file: /cvs/db/module-auto-deps.xml,v
done
Checking in db/module-auto-deps.xml;
/cvs/db/module-auto-deps.xml,v  <--  module-auto-deps.xml
initial revision: 1.1
done
Checking in db/nbproject/project.properties;
/cvs/db/nbproject/project.properties,v  <--  project.properties
new revision: 1.29; previous revision: 1.28
done
Checking in nbbuild/build.properties;
/cvs/nbbuild/build.properties,v  <--  build.properties
new revision: 1.541; previous revision: 1.540
done
Comment 6 Andrei Badea 2007-11-01 11:08:16 UTC
Created attachment 52236 [details]
Log of update of DB Explorer clients to depend on /1
Comment 7 Andrei Badea 2007-11-01 13:16:37 UTC
Marking as fixed.
Comment 8 Andrei Badea 2007-11-02 22:00:38 UTC
Forgot to document as official in arch.xml.

Checking in arch.xml;
/cvs/db/arch.xml,v  <--  arch.xml
new revision: 1.20; previous revision: 1.19
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo